<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: gui/dialogs/BookDetailsDialog/BookDetailsDialog.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_book_details_dialog_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">BookDetailsDialog.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#ifndef LIBRARYMGR_BOOKDETAILSDIALOG_H</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#define LIBRARYMGR_BOOKDETAILSDIALOG_H</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QWidget&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;QDialog&gt;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QCheckBox&gt;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QPushButton&gt;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#include &quot;../../widgets/InlineLabel/InlineLabel.h&quot;</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#include &quot;../../../models/Article/Book/Book.h&quot;</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="class_book_details_dialog.html">   37</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_book_details_dialog.html">BookDetailsDialog</a> : <span class="keyword">public</span> QDialog {</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;Q_OBJECT</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    <a class="code" href="class_book_details_dialog.html#a97b435e949ba67130e831d5e114feb0f">BookDetailsDialog</a>(<span class="keywordtype">bool</span> isReadOnly = <span class="keyword">true</span>, QWidget *parent = 0);</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="class_book_details_dialog.html#a55803efb73392edd2f5eb0928bc47848">setup</a>();</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_book_details_dialog.html#a583234f5606f7be26ec2dbde8767ba75">setBookId</a>(QString isbn);</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    <a class="code" href="class_book.html">Book</a> <a class="code" href="class_book_details_dialog.html#a1709550d11aeb5194c5448221a9acc72">getBook</a>();</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;<span class="keyword">public</span> slots:</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="class_book_details_dialog.html#aca2c15a4195ba11ef8933843f4da4597">getDetailsAboutBookRequest</a>(<a class="code" href="class_book.html">Book</a> book, <span class="keywordtype">bool</span> isReservedByUser, <span class="keywordtype">bool</span> isInUserWishlist);</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;signals:</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_book_details_dialog.html#ad349bcf5e6d958d07e29b355546b00db">sendDetailsAboutBookRequest</a>(QString isbn);</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;<span class="keyword">protected</span>:</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    QString bookIsbn = <span class="stringliteral">&quot;&quot;</span>;  <span class="comment">// isbn of currently displayed book</span></div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    <a class="code" href="class_inline_label.html">InlineLabel</a> *isbnLabel;  <span class="comment">// widgets</span></div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    <a class="code" href="class_inline_label.html">InlineLabel</a> *titleLabel;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    <a class="code" href="class_inline_label.html">InlineLabel</a> *descriptionLabel;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_book_details_dialog.html#a316d30d906e4b5706309ac7d777e68b1">populate</a>(<a class="code" href="class_book.html">Book</a> book);</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;};</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;<span class="preprocessor">#endif //LIBRARYMGR_BOOKDETAILSDIALOG_H</span></div><div class="ttc" id="class_book_html"><div class="ttname"><a href="class_book.html">Book</a></div><div class="ttdoc">Library book with author, ISBN and status. </div><div class="ttdef"><b>Definition:</b> Book.h:28</div></div>
<div class="ttc" id="class_inline_label_html"><div class="ttname"><a href="class_inline_label.html">InlineLabel</a></div><div class="ttdef"><b>Definition:</b> InlineLabel.h:28</div></div>
<div class="ttc" id="class_book_details_dialog_html_a316d30d906e4b5706309ac7d777e68b1"><div class="ttname"><a href="class_book_details_dialog.html#a316d30d906e4b5706309ac7d777e68b1">BookDetailsDialog::populate</a></div><div class="ttdeci">void populate(Book book)</div><div class="ttdef"><b>Definition:</b> BookDetailsDialog.cpp:56</div></div>
<div class="ttc" id="class_book_details_dialog_html_ad349bcf5e6d958d07e29b355546b00db"><div class="ttname"><a href="class_book_details_dialog.html#ad349bcf5e6d958d07e29b355546b00db">BookDetailsDialog::sendDetailsAboutBookRequest</a></div><div class="ttdeci">void sendDetailsAboutBookRequest(QString isbn)</div></div>
<div class="ttc" id="class_book_details_dialog_html_aca2c15a4195ba11ef8933843f4da4597"><div class="ttname"><a href="class_book_details_dialog.html#aca2c15a4195ba11ef8933843f4da4597">BookDetailsDialog::getDetailsAboutBookRequest</a></div><div class="ttdeci">virtual void getDetailsAboutBookRequest(Book book, bool isReservedByUser, bool isInUserWishlist)</div><div class="ttdef"><b>Definition:</b> BookDetailsDialog.cpp:42</div></div>
<div class="ttc" id="class_book_details_dialog_html"><div class="ttname"><a href="class_book_details_dialog.html">BookDetailsDialog</a></div><div class="ttdef"><b>Definition:</b> BookDetailsDialog.h:37</div></div>
<div class="ttc" id="class_book_details_dialog_html_a583234f5606f7be26ec2dbde8767ba75"><div class="ttname"><a href="class_book_details_dialog.html#a583234f5606f7be26ec2dbde8767ba75">BookDetailsDialog::setBookId</a></div><div class="ttdeci">void setBookId(QString isbn)</div><div class="ttdef"><b>Definition:</b> BookDetailsDialog.cpp:32</div></div>
<div class="ttc" id="class_book_details_dialog_html_a97b435e949ba67130e831d5e114feb0f"><div class="ttname"><a href="class_book_details_dialog.html#a97b435e949ba67130e831d5e114feb0f">BookDetailsDialog::BookDetailsDialog</a></div><div class="ttdeci">BookDetailsDialog(bool isReadOnly=true, QWidget *parent=0)</div><div class="ttdef"><b>Definition:</b> BookDetailsDialog.cpp:26</div></div>
<div class="ttc" id="class_book_details_dialog_html_a55803efb73392edd2f5eb0928bc47848"><div class="ttname"><a href="class_book_details_dialog.html#a55803efb73392edd2f5eb0928bc47848">BookDetailsDialog::setup</a></div><div class="ttdeci">virtual void setup()</div><div class="ttdef"><b>Definition:</b> BookDetailsDialog.cpp:46</div></div>
<div class="ttc" id="class_book_details_dialog_html_a1709550d11aeb5194c5448221a9acc72"><div class="ttname"><a href="class_book_details_dialog.html#a1709550d11aeb5194c5448221a9acc72">BookDetailsDialog::getBook</a></div><div class="ttdeci">Book getBook()</div><div class="ttdef"><b>Definition:</b> BookDetailsDialog.cpp:38</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_11bc0974ce736ce9a6fadebbeb7a8314.html">gui</a></li><li class="navelem"><a class="el" href="dir_14719b40b25530ee4da48b51ded8319c.html">dialogs</a></li><li class="navelem"><a class="el" href="dir_63022fb9c89780fda465f1962f3dc8b0.html">BookDetailsDialog</a></li><li class="navelem"><b>BookDetailsDialog.h</b></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
